import { LTWH, Viewport } from "../types";
import { viewportToPdf } from "./coordinates";

const optimizeImageArea = (image: string, bound: LTWH, viewport: Viewport) => {
  const res = {
    image: image,
    imageArea: {
      rect: viewportToPdf(bound, viewport),
      usePdfCoordinates: true,
    },
  };

  return res;
};

export default optimizeImageArea;
